| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Gr.StructuredSurfaceMesh3D Class Reference
Inheritance diagram for IG.Gr.StructuredSurfaceMesh3D:
[legend]
Collaboration diagram for IG.Gr.StructuredSurfaceMesh3D:
[legend]

## Public Member Functions
| StructuredSurfaceMesh3D (int num1, int num2)
| Constructs a structured surface mesh in 3 dimensions. Grid co-ordinates are initialized to 0. More...
| StructuredSurfaceMesh3D (vec3 origin, vec3 basevector1, vec3 basevector2, int num1, int num2)
| Construct a structured surface mesh in 3 dimensions. Complete is constructed by translations of the origin by linear combinations of two base vectors with integer factors. More...
Public Member Functions inherited from IG.Gr.Mesh3D
virtual vec3 | GetGridCoordinate (int i)
| Returns coordinates of the specified grid point. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged). More...
virtual void | SetGridCoordinate (int i, vec3 coordinates)
| Sets coordinates of the specified grid point to the provided values. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged). More...
Public Member Functions inherited from IG.Gr.Mesh
virtual int | GetNodeNumber (int i)

## Properties
override vec3[] | GridCoordinates`[get]`
override int | NumNodes`[get]`
| Returns the number of grid points. More...
override bool | HasFaces`[get]`
| Gets a value indicating whether the mesh has faces. More...
override int | NumFaces`[get]`
| Returns the number of faces that the mesh has. More...
virtual vec3 | this[int i, int j]`[get, set]`
Properties inherited from IG.Gr.SurfceMesh3D
override bool | HasVolumes`[get]`
override int | NumVolumes`[get]`
Properties inherited from IG.Gr.Mesh3D
abstract vec3[] | GridCoordinates`[get]`
| Returns the table of grid co-ordinates. If this property is not properly implemented in the concrete subclasses (e.g. it simply returns null) then methods GetGridCoordinate() and SetGridCoordinate() and the indexer must be re-implemented. More...
virtual vec3 | this[int i]`[get, set]`
| Gets or sets co-ordinates of the specified grid point. Indices run contiguously from 0 on (they do not correspond to node numbers, which can be arbitrarily arranged). More...
Properties inherited from IG.Gr.Mesh
abstract int | NumNodes`[get]`
| Returns number of grid points. More...
abstract bool | HasFaces`[get]`
| Gets a value indicating whether the mesh has faces. More...
abstract int | NumFaces`[get]`
| Returns the number of faces that the mesh has. More...
abstract bool | HasVolumes`[get]`
| Gets a value indicating whether the mesh has volumes. More...
abstract int | NumVolumes`[get]`
| Returns the number of volumes that the mesh has. More...

## Private Member Functions
| StructuredSurfaceMesh3D ()

## Private Attributes
int | _numx = 0
int | _numy = 0
vec3[] | _gridCoordinates = null
List< int > | _nodeNumbers = null

## Constructor & Destructor Documentation

IG.Gr.StructuredSurfaceMesh3D.StructuredSurfaceMesh3D | ( |  | ) |
| inline private

IG.Gr.StructuredSurfaceMesh3D.StructuredSurfaceMesh3D | ( | int | num1,
|  | int | num2
| ) |  |
| inline

Constructs a structured surface mesh in 3 dimensions. Grid co-ordinates are initialized to 0.

Parameters

  num1 | Number of points in the first grid direction.
  num2 | Number of points in the second grid direction.

IG.Gr.StructuredSurfaceMesh3D.StructuredSurfaceMesh3D | ( | vec3 | origin,
|  | vec3 | basevector1,
|  | vec3 | basevector2,
|  | int | num1,
|  | int | num2
| ) |  |
| inline

Construct a structured surface mesh in 3 dimensions. Complete is constructed by translations of the origin by linear combinations of two base vectors with integer factors.

Parameters

  origin | Origin of the mesh.
  basevector1 | The first base step of the mesh.
  basevector2 | The second base step of the mesh.
  num1 | Number of points in the first grid direction.
  num2 | Number of points in the second grid direction.

## Member Data Documentation

int IG.Gr.StructuredSurfaceMesh3D._numx = 0
| private

int IG.Gr.StructuredSurfaceMesh3D._numy = 0
| private

vec3 [] IG.Gr.StructuredSurfaceMesh3D._gridCoordinates = null
| private

List<int> IG.Gr.StructuredSurfaceMesh3D._nodeNumbers = null
| private

## Property Documentation

override vec3 [] IG.Gr.StructuredSurfaceMesh3D.GridCoordinates
| get protected

override int IG.Gr.StructuredSurfaceMesh3D.NumNodes
| get

Returns the number of grid points.

override bool IG.Gr.StructuredSurfaceMesh3D.HasFaces
| get

Gets a value indicating whether the mesh has faces.

override int IG.Gr.StructuredSurfaceMesh3D.NumFaces
| get

Returns the number of faces that the mesh has.

virtual vec3 IG.Gr.StructuredSurfaceMesh3D.this[int i, int j]
| get set

The documentation for this class was generated from the following file:

- igbase/graphics/Mesh.cs